文章目录
  1. 1. 一. brew安装python3
    1. 1.1. 1. 推荐安装终端
    2. 1.2. 2.brew安装
    3. 1.3. 3. 安装之前建议先下载xcode
    4. 1.4. 4. 安装python3
    5. 1.5. 5. 查看当前python
    6. 1.6. 6. 移除python2,链接指向python3
    7. 1.7. 7. 最后大功告成
  2. 2. eg: 权限错误
  3. 3. 二. Python多版本共存之pyenv
  4. 4. 三. 参考文献
  • list element with functor item
    {:toc}

一. brew安装python3

1. 推荐安装终端

item2

2.brew安装

官网

3. 安装之前建议先下载xcode

里面会有很多工具,否则brew 安装会很蛋疼。

1
xcode-select --install

4. 安装python3

1
brew install python3

5. 查看当前python

1
2
3
4
5
➜  ~  which python3
/usr/local/bin/python3
➜ ~ which python
/usr/bin/python
➜ ~ ls -l /usr/bin/python //查看python软链接,里面有->符号就代表有软链接

6. 移除python2,链接指向python3

1
2
3
4
5
6
7
8
9
➜  ~  sudo mv /usr/bin/python /usr/bin/python2
Password:
➜ ~ which python3
/usr/local/bin/python3
➜ ~ ln -s python /usr/local/bin/python3
ln: /usr/local/bin/python3: File exists
➜ ~ ln -s /usr/local/bin/python3 /usr/bin/python
ln: /usr/bin/python: Permission denied
➜ ~ sudo ln -s /usr/local/bin/python3 /usr/bin/python

7. 最后大功告成

1
2
3
4
5
➜  ~  python
Python 3.4.3 (default, May 1 2015, 19:14:18)
[GCC 4.2.1 Compatible Apple LLVM 6.1.0 (clang-602.0.49)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>>

eg: 权限错误

如果遇到brew install过程中有什么权限错误,可以输入命令

1
sudo chown -R `whoami` /usr/local

二. Python多版本共存之pyenv

参考地址:链接
pyenv是一个专门为python准备的一个安装器,非常全面

三. 参考文献

1.Python教程

文章目录
  1. 1. 一. brew安装python3
    1. 1.1. 1. 推荐安装终端
    2. 1.2. 2.brew安装
    3. 1.3. 3. 安装之前建议先下载xcode
    4. 1.4. 4. 安装python3
    5. 1.5. 5. 查看当前python
    6. 1.6. 6. 移除python2,链接指向python3
    7. 1.7. 7. 最后大功告成
  2. 2. eg: 权限错误
  3. 3. 二. Python多版本共存之pyenv
  4. 4. 三. 参考文献